A helper class referencing a BitmapChar and properties about its location and size.

This class is used and returned by `BitmapFont.arrangeChars()`. It's typically only needed for advanced changes to Starling's default text composition mechanisms.

This class supports object pooling. All instances returned by the methods `instanceFromPool` and `vectorFromPool` are returned to the respective pool when calling `rechargePool`.

### Hierarchy

- BitmapCharLocation

## Index

### Constructors

- constructor

### Properties

- char
- index
- scale
- x
- y

### Methods

- instanceFromPool
- rechargePool
- vectorFromPool

## Constructors

### constructor

- new BitmapCharLocation(char: BitmapChar): BitmapCharLocation

- - Defined in lib/starling/text/BitmapCharLocation.d.ts:41

  Create a new instance that references the given char.

  #### Parameters

  - ##### char: BitmapChar

  #### Returns BitmapCharLocation

## Properties

### char

char: BitmapChar

- Defined in lib/starling/text/BitmapCharLocation.d.ts:29

The actual bitmap char to be drawn.

### index

index: number

- Defined in lib/starling/text/BitmapCharLocation.d.ts:41

The index of this char in the processed String.

### scale

scale: number

- Defined in lib/starling/text/BitmapCharLocation.d.ts:32

The scale with which the char must be placed.

### x

x: number

- Defined in lib/starling/text/BitmapCharLocation.d.ts:35

The x-coordinate of the char's location.

### y

y: number

- Defined in lib/starling/text/BitmapCharLocation.d.ts:38

The y-coordinate of the char's location.

## Methods

### Static instanceFromPool

- instanceFromPool(char: BitmapChar): BitmapCharLocation

- - Defined in lib/starling/text/BitmapCharLocation.d.ts:50

  Returns a "BitmapCharLocation" instance from the pool, initialized with the given char. All instances will be returned to the pool when calling `rechargePool`.

  #### Parameters

  - ##### char: BitmapChar

  #### Returns BitmapCharLocation

### Static rechargePool

- rechargePool(): void

- - Defined in lib/starling/text/BitmapCharLocation.d.ts:58

  Puts all objects that were previously returned by either of the "...fromPool" methods back into the pool.

  #### Returns void

### Static vectorFromPool

- vectorFromPool(): Vector<BitmapCharLocation>

- - Defined in lib/starling/text/BitmapCharLocation.d.ts:54

  Returns an empty Vector for "BitmapCharLocation" instances from the pool. All vectors will be returned to the pool when calling `rechargePool`.

  #### Returns Vector<BitmapCharLocation>

Generated using TypeDoc